SOUNDS =
{
    -- Button sounds
    DEFAULT_CLICK                   = "Click",
    COMBO_CLICK                     = "Click_Combo",
    EDIT_CLICK                      = "Click_Edit",
    NEGATIVE_CLICK                  = "Click_Negative",
    POSITIVE_CLICK                  = "Click_Positive",
    MENU_BAR_CLICK                  = "Click_MenuBar",
    TREE_HEADER_CLICK               = "Click_TreeHeader",
    TREE_SUBCATEGORY_CLICK          = "Click_TreeSubcategory",

    -- Window Sounds
    DEFAULT_WINDOW_OPEN             = "Window_Open",
    DEFAULT_WINDOW_CLOSE            = "Window_Close",
    LOOT_WINDOW_OPEN                = "Loot_Open",
    LOOT_WINDOW_CLOSE               = "Loot_Close",
    BACKPACK_WINDOW_OPEN            = "Backpack_Open",
    BACKPACK_WINDOW_CLOSE           = "Backpack_Close",
    CHARACTER_WINDOW_OPEN           = "Character_Open",
    CHARACTER_WINDOW_CLOSE          = "Character_Close",
    SKILLS_WINDOW_OPEN              = "Skills_Open",
    SKILLS_WINDOW_CLOSE             = "Skills_Close",
    CODEX_WINDOW_OPEN               = "Codex_Open",
    CODEX_WINDOW_CLOSE              = "Codex_Close",
    MAP_WINDOW_OPEN                 = "Map_Open",
    MAP_WINDOW_CLOSE                = "Map_Close",
    GROUP_WINDOW_OPEN               = "Group_Open",
    GROUP_WINDOW_CLOSE              = "Group_Close",
    CONTACTS_WINDOW_OPEN            = "Contacts_Open",
    CONTACTS_WINDOW_CLOSE           = "Contacts_Close",
    ALLIANCE_WAR_WINDOW_OPEN        = "AllianceWarWindow_Open",
    ALLIANCE_WAR_WINDOW_CLOSE       = "AllianceWarWindow_Close",
    HELP_WINDOW_OPEN                = "Help_Open",
    HELP_WINDOW_CLOSE               = "Help_Close",
    SYSTEM_WINDOW_OPEN              = "System_Open",
    SYSTEM_WINDOW_CLOSE             = "System_Close",
    INTERACT_WINDOW_OPEN            = "Interact_Open",
    INTERACT_WINDOW_CLOSE           = "Interact_Close",
    BANK_WINDOW_OPEN                = "Bank_Open",
    BANK_WINDOW_CLOSE               = "Bank_Close",
    STORE_WINDOW_OPEN               = "Store_Open",
    STORE_WINDOW_CLOSE              = "Store_Close",
    STORE_WINDOW_BUY_CLICKED        = "Store_BuyClicked",
    STORE_WINDOW_SELL_CLICKED       = "Store_SellClicked",
    STORE_WINDOW_REPAIR_CLICKED     = "Store_RepairClicked",
    STABLE_WINDOW_BUY_CLICKED       = "Stable_BuyClicked",
    STABLE_WINDOW_MANAGE_CLICKED    = "Stable_ManageClicked",
    TRADE_WINDOW_OPEN               = "Trade_Open",
    TRADE_WINDOW_CLOSE              = "Trade_Close",
    TREASURE_MAP_OPEN               = "TreasureMap_Open",
    TREASURE_MAP_CLOSE              = "TreasureMap_Close",
    KEEP_WINDOW_OPEN                = "Keep_Open",
    KEEP_WINDOW_CLOSE               = "Keep_Close",
    TRADING_HOUSE_WINDOW_OPEN       = "TradingHouse_Open",
    TRADING_HOUSE_WINDOW_CLOSE      = "TradingHouse_Close",
    MAIL_WINDOW_OPEN                = "Mail_Open",
    MAIL_WINDOW_CLOSE               = "Mail_Close",
    GUILD_WINDOW_OPEN               = "Guild_Open",
    GUILD_WINDOW_CLOSE              = "Guild_Close",
    NOTIFICATIONS_WINDOW_OPEN       = "Notifications_Open",
    NOTIFICATIONS_WINDOW_CLOSE      = "Notifications_Close",
    COLLECTIONS_WINDOW_OPEN         = "Collections_Open",
    COLLECTIONS_WINDOW_CLOSE        = "Collections_Close",

    -- Gamepad UI sounds
    GAMEPAD_MENU_FORWARD            = "Console_Menu_Forward",
    GAMEPAD_MENU_BACK               = "Console_Menu_Back",
    GAMEPAD_PAGE_FORWARD            = "Console_Page_Forward",
    GAMEPAD_PAGE_BACK               = "Console_Page_Back",
    GAMEPAD_PAGE_NAVIGATION_FAILED  = "Console_Page_Navigation_Failed",
    GAMEPAD_OPEN_WINDOW             = "Console_Window_Open",
    GAMEPAD_CLOSE_WINDOW            = "Console_Window_Close",
    GAMEPAD_MENU_UP                 = "Console_Menu_Up",
    GAMEPAD_MENU_DOWN               = "Console_Menu_Down",
    GAMEPAD_MENU_JUMP_UP            = "Console_Menu_Jump_Up",
    GAMEPAD_MENU_JUMP_DOWN          = "Console_Menu_Jump_Down",
    GAMEPAD_MENU_LEFT               = "Console_Menu_Left",
    GAMEPAD_MENU_RIGHT              = "Console_Menu_Right",

    -- Dialog sounds
    DIALOG_SHOW                     = "Dialog_Show",
    DIALOG_ACCEPT                   = "Dialog_Accept",
    DIALOG_DECLINE                  = "Dialog_Decline",
    DIALOG_HIDE                     = "Dialog_Hide",
    NONE                            = "No_Sound",

    -- Login sounds
    CONSOLE_GAME_ENTER = "Console_Game_Enter",

    --chat sounds
    CHAT_MINIMIZED = "Chat_Min",
    CHAT_MAXIMIZED = "Chat_Max",

    -- Spinner Sounds
    SPINNER_UP                      = "Spinner_Up",
    SPINNER_DOWN                    = "Spinner_Down",

    --character create sounds
    CC_SELECTOR_CLICK               = "Click_CC_Selector",
    CC_CLASS                        = "Click_ClassButton",
    CC_RACE                         = "Click_RaceButton",
    CC_ALLIANCE                     = "Click_AllianceButton",
    CC_RANDOMIZE                    = "Click_RandomizeButton",
    CC_CREATE                       = "Click_CreateButton",
    CC_SAVE                         = "Click_SaveButton",

    CC_LOCK_VALUE                   = "Lock_Value",
    CC_UNLOCK_VALUE                 = "Unlock_Value",
    CC_PREVIEW_GEAR                 = "Preview_Gear",
    CC_GAMEPAD_CHARACTER_CLICK      = "Console_Character_Click",

    -- Stable sounds
    STABLE_BUY_MOUNT = "Stable_BuyMount",
    STABLE_FEED_CARRY = "Stable_FeedCarry",
    STABLE_FEED_SPEED = "Stable_FeedSpeed",
    STABLE_FEED_STAMINA = "Stable_FeedStamina",

    --Targeting sounds
    TARGET_SELECTED                 = "Target_Select",
    TARGET_DESELECTED               = "Target_Deselect",

    NO_INTERACT_TARGET              = "No_Interact_Target",

    --Ability sounds
    ABILITY_CLICK                   = "Ability_Click",
    ABILITY_READY                   = "Ability_Ready",
    ABILITY_NOT_READY               = "No_Sound",
    ABILITY_TARGET_OUT_OF_LOS       = "Ability_TargetOutOfLineOfSight",
    ABILITY_TARGET_OUT_OF_RANGE     = "Ability_TargetOutOfRange",
    ABILITY_TARGET_IMMUNE           = "Ability_TargetImmune",
    ABILITY_CASTER_SILENCED         = "Ability_CasterSilenced",
    ABILITY_CASTER_STUNNED          = "Ability_CasterStunned",
    ABILITY_CASTER_BUSY             = "Ability_CasterBusy",
    ABILITY_TARGET_BAD_TARGET       = "Ability_TargetBadTarget",
    ABILITY_TARGET_DEAD             = "Ability_TargetDead",
    ABILITY_CASTER_DEAD             = "Ability_CasterDead",
    ABILITY_NOT_ENOUGH_MAGICKA      = "Ability_NotEnoughMagicka",
    ABILITY_NOT_ENOUGH_STAMINA      = "Ability_NotEnoughStamina",
    ABILITY_NOT_ENOUGH_HEALTH       = "Ability_NotEnoughHealth",
    ABILITY_NOT_ENOUGH_ULTIMATE     = "Ability_NotEnoughUltimate",
    ABILITY_FAILED                  = "Ability_Failed",
    ABILITY_FAILED_IN_COMBAT        = "Ability_FailedInCombat",
    ABILITY_FAILED_REQUIREMENTS     = "Ability_FailedRequirements",
    ABILITY_CASTER_FEARED           = "Ability_CasterFeared",
    ABILITY_CASTER_DISORIENTED      = "Ability_CasterDisoriented",
    ABILITY_TARGET_TOO_CLOSE        = "Ability_TargetTooClose",
    ABILITY_WRONG_WEAPON            = "Ability_WrongWeapon",
    ABILITY_TARGET_NOT_PVP_FLAGGED  = "Ability_TargetNotPvPFlagged",
    ABILITY_CASTER_PACIFIED         = "Ability_CasterPacified",
    ABILITY_CASTER_LEVITATED        = "Ability_CasterLevitated",
    ABILITY_WEAPON_SWAP_FAIL        = "weapon_swap_fail",
    ABILITY_WEAPON_SWAP_SUCCESS     = "weapon_swap_success",
    ABILITY_INVALID_JUSTICE_TARGET  = "Ability_InvalidJusticeTarget",

    -- General Failed Requirement
    GENERAL_FAILED_REQUIREMENTS     = "General_FailedRequirements",
    GENERAL_ALERT_ERROR             = "General_Alert_Error",

    -- Notification sounds
    NEW_NOTIFICATION                = "New_Notification",
    QUEST_SHARE_ACCEPTED            = "QuestShare_Accepted",
    QUEST_SHARE_DECLINED            = "QuestShare_Declined",
    DEFER_NOTIFICATION              = "Defer_Notification",
    NEW_TIMED_NOTIFICATION          = "New_NotificationTimed",

    -- Scripted World Event sounds
    SCRIPTED_WORLD_EVENT_INVITED    = "Quest_Shared",
    SCRIPTED_WORLD_EVENT_ACCEPTED   = "QuestShare_Accepted",
    SCRIPTED_WORLD_EVENT_DECLINED   = "QuestShare_Declined",

    -- Mail Sounds
    NEW_MAIL                        = "New_Mail",
    MAIL_ACCEPT_COD                 = "Mail_AcceptCod",
    MAIL_SENT                       = "Mail_Sent",
    MAIL_ITEM_DELETED               = "Mail_ItemDeleted",
    MAIL_ITEM_SELECTED              = "Mail_ItemSelected",

    -- Achievement sounds
    ACHIEVEMENT_AWARDED             = "Achievement_Awarded",
    ACHIEVEMENT_EXPANDED            = "Achievement_Expanded",
    ACHIEVEMENT_COLLAPSED           = "Achievement_Collapsed",

    --Guild Heraldry sounds
    GUILD_HERALDRY_STYLE_SELECTED       = "Guild_Heraldry_StyleSelected",
    GUILD_HERALDRY_APPLIED              = "Guild_Heraldry_Applied",
    GUILD_HERALDRY_UNDO_CHANGES         = "Guild_Heraldry_UndoChanges",

    --Quest sounds
    QUEST_ACCEPTED                  = "Quest_Accept",
    QUEST_ABANDONED                 = "Quest_Abandon",
    QUEST_COMPLETED                 = "Quest_Complete",
    QUEST_OBJECTIVE_STARTED         = "Quest_ObjectivesStarted",
    QUEST_OBJECTIVE_INCREMENT       = "Quest_ObjectivesIncrement",
    QUEST_OBJECTIVE_COMPLETE        = "Quest_ObjectivesComplete",
    QUEST_SELECTED                  = "Quest_Selected",
    QUEST_STEP_FAILED               = "Quest_StepFailed",
    QUEST_SHARED                    = "Quest_Shared",
    QUEST_SHARE_SENT                = "Quest_Share_Sent",
    QUEST_FOCUSED                   = "Quest_Focused",
    OBJECTIVE_ACCEPTED              = "Objective_Accept",
    OBJECTIVE_COMPLETED             = "Objective_Complete",
    OBJECTIVE_DISCOVERED            = "Objective_Discovered",

    --Inventory sounds
    INVENTORY_DESTROY_JUNK          = "Inventory_DestroyJunk",
    INVENTORY_ITEM_APPLY_CHARGE     = "InventoryItem_ApplyCharge",
    INVENTORY_ITEM_APPLY_ENCHANT    = "InventoryItem_ApplyEnchant",
    INVENTORY_ITEM_REPAIR           = "InventoryItem_Repair",
    INVENTORY_ITEM_JUNKED           = "InventoryItem_MarkAsJunk",
    INVENTORY_ITEM_UNJUNKED         = "InventoryItem_NotJunk",
    INVENTORY_ITEM_LOCKED           = "Lock_Value",
    INVENTORY_ITEM_UNLOCKED         = "Unlock_Value",

    --Collection sounds
    COLLECTIBLE_UNLOCKED            = "Collectible_Unlocked",
    COLLECTION_COMPLETED            = "Collection_Completed",

    COLLECTIBLE_ON_COOLDOWN         = "Collectible_On_Cooldown",
    COLLECTIBLE_ACTIVATED           = "Collectible_Activated",
    COLLECTIBLE_DEACTIVATED         = "Collectible_Deactivated",

    --Item sounds
    ITEM_MONEY_CHANGED              = "Money_Transact",
    ITEM_ON_COOLDOWN                = "Item_On_Cooldown",

    --Alliance Point sounds
    ALLIANCE_POINT_TRANSACT         = "AlliancePoint_Transact",

    --Tel Var sounds
    TELVAR_GAINED                   = "Telvar_Gained",
    TELVAR_LOST                     = "Telvar_Lost",
    TELVAR_MULTIPLIERUP             = "Telvar_MultiplierUp",
    TELVAR_MULTIPLIERMAX            = "Telvar_MultiplierMax",
    TELVAR_TRANSACT                 = "Telvar_Transact",

    -- Writ voucher sounds
    WRIT_VOUCHER_TRANSACT           = "WritVoucher_Transact",

    -- Undaunted key sounds
    UNDAUNTED_KEY_TRANSACT           = "Undaunted_Transact",

    -- Event Ticket sounds
    EVENT_TICKET_ACQUIRE            = "EventTicket_Acquire",
    EVENT_TICKET_TRANSACT           = "EventTicket_Transact",

    -- Endless Dungeon currency sounds
    ARCHIVAL_FORTUNES_ACQUIRE            = "EndlessDungeonCurrency_Acquire",
    ARCHIVAL_FORTUNES_TRANSACT           = "EndlessDungeonCurrency_Transact",

    --Justice sounds
    JUSTICE_STATE_CHANGED           = "Justice_StateChanged",
    JUSTICE_NOW_KOS                 = "Justice_NowKOS",
    JUSTICE_NO_LONGER_KOS           = "Justice_NoLongerKOS",
    JUSTICE_GOLD_REMOVED            = "Justice_GoldRemoved",
    JUSTICE_ITEM_REMOVED            = "Justice_ItemRemoved",
    JUSTICE_PICKPOCKET_BONUS        = "Justice_PickpocketBonus",
    JUSTICE_PICKPOCKET_FAILED       = "Justice_PickpocketFailed",

    --Stealth sounds
    STEALTH_HIDDEN                  = "Stealth_Hidden",
    STEALTH_DETECTED                = "Stealth_Detected",

    --Grouping sounds
    GROUP_INVITE                    = "Group_Invite",
    GROUP_JOIN                      = "Group_Join",
    GROUP_LEAVE                     = "Group_Leave",
    GROUP_KICK                      = "Group_Kick",
    GROUP_DISBAND                   = "Group_Disband",
    GROUP_PROMOTE                   = "Group_Promote",
    GROUP_ROLE_SELECTED             = "Click",
    GROUP_ROLE_DESELECTED           = "Click",

    --LFG sounds
    LFG_SEARCH_STARTED              = "LFG_Search_Started",
    LFG_SEARCH_FINISHED             = "LFG_Search_Finished",
    LFG_READY_CHECK                 = "LFG_Ready_Check",
    LFG_FIND_REPLACEMENT            = "LFG_Find_Replacement",
    LFG_COMPLETE_ANNOUNCEMENT       = "LFG_Complete_Announcement",

    --Group election sounds
    GROUP_ELECTION_REQUESTED        = "GroupElection_Requested",
    GROUP_ELECTION_VOTE_SUBMITTED   = "GroupElection_VotedSubmitted",
    GROUP_ELECTION_RESULT_WON       = "GroupElection_ResultWon",
    GROUP_ELECTION_RESULT_LOST      = "GroupElection_ResultLost",

    --Battleground sounds
    BATTLEGROUND_INACTIVITY_WARNING = "Battleground_InactivityWarning",
    BATTLEGROUND_MEDAL_RECEIVED = "BG_MedalReceived",
    BATTLEGROUND_NEARING_VICTORY = "BG_VictoryNear",
    BATTLEGROUND_COUNTDOWN_FINISH = "BG_Countdown_Finish",
    BATTLEGROUND_MATCH_WON = "BG_MatchWon",
    BATTLEGROUND_MATCH_LOST = "BG_MatchLost",
    BATTLEGROUND_ONE_MINUTE_WARNING = "BG_One_Minute_Warning",

    -- Battleground capture flag objective sounds
    BATTLEGROUND_CAPTURE_FLAG_TAKEN_OWN_TEAM = "BG_CTF_FlagTaken_OwnTeam",
    BATTLEGROUND_CAPTURE_FLAG_TAKEN_OTHER_TEAM = "BG_CTF_FlagTaken_OtherTeam",
    BATTLEGROUND_CAPTURE_FLAG_DROPPED_OWN_TEAM = "BG_CTF_FlagDropped_OwnTeam",
    BATTLEGROUND_CAPTURE_FLAG_DROPPED_OTHER_TEAM = "BG_CTF_FlagDropped_OtherTeam",
    BATTLEGROUND_CAPTURE_FLAG_RETURNED = "BG_CTF_FlagReturned",
    BATTLEGROUND_CAPTURE_FLAG_CAPTURED_BY_OTHER_TEAM = "BG_CTF_FlagCaptured",
    BATTLEGROUND_CAPTURE_FLAG_CAPTURED_BY_OWN_TEAM = "BG_CTF_TeamFlagCapture",

    -- Battleground murderball objective sounds
    BATTLEGROUND_MURDERBALL_TAKEN_OWN_TEAM = "BG_MB_BallTaken_OwnTeam",
    BATTLEGROUND_MURDERBALL_TAKEN_OTHER_TEAM = "BG_MB_BallTaken_OtherTeam",
    BATTLEGROUND_MURDERBALL_DROPPED_OWN_TEAM = "BG_MB_BallDropped_OwnTeam",
    BATTLEGROUND_MURDERBALL_DROPPED_OTHER_TEAM = "BG_MB_BallDropped_OtherTeam",
    BATTLEGROUND_MURDERBALL_RETURNED = "BG_MB_BallReturned",

    -- Battleground capture area sounds
    BATTLEGROUND_CAPTURE_AREA_CAPTURED_OWN_TEAM = "BG_CA_AreaCaptured_OwnTeam",
    BATTLEGROUND_CAPTURE_AREA_CAPTURED_OTHER_TEAM = "BG_CA_AreaCaptured_OtherTeam",
    BATTLEGROUND_CAPTURE_METER_CONTESTING = "BG_CM_ContestingArea",
    BATTLEGROUND_CAPTURE_METER_CAPTURING = "BG_CM_CapturingArea",
    BATTLEGROUND_CAPTURE_AREA_SPAWNED = "BG_CA_AreaCaptured_Spawned",
    BATTLEGROUND_CAPTURE_AREA_MOVED = "BG_CA_AreaCaptured_Moved",

    -- Battleground kill sounds
    BATTLEGROUND_KILL_KILLING_BLOW = "BG_Kill_KillingBlow",
    BATTLEGROUND_KILL_ASSIST = "BG_Kill_Assist",
    BATTLEGROUND_KILL_KILLED_BY_MY_TEAM = "BG_Kill_KilledByMyTeam",
    BATTLEGROUND_KILL_STOLEN_BY_ENEMY_TEAM = "BG_Kill_StolenByEnemyTeam",
    BATTLEGROUND_KILL_KILLED_BY_ENEMY_TEAM = "BG_Kill_KilledByEnemyTeam",

    -- AVA sounds
    ELDER_SCROLL_CAPTURED_BY_ALDMERI = "ElderScroll_Captured_Aldmeri",
    ELDER_SCROLL_CAPTURED_BY_EBONHEART = "ElderScroll_Captured_Ebonheart",
    ELDER_SCROLL_CAPTURED_BY_DAGGERFALL = "ElderScroll_Captured_Daggerfall",

    AVA_GATE_OPENED = "AvA_Gate_Opened",
    AVA_GATE_CLOSED = "AvA_Gate_Closed",

    AVA_KEEP_CAPTURED = "AvA_KeepCaptured",

    EMPEROR_CORONATED_ALDMERI = "Emperor_Coronated_Aldmeri",
    EMPEROR_CORONATED_EBONHEART = "Emperor_Coronated_Ebonheart",
    EMPEROR_CORONATED_DAGGERFALL = "Emperor_Coronated_Daggerfall",
    EMPEROR_DEPOSED_ALDMERI = "Emperor_Deposed_Aldmeri",
    EMPEROR_DEPOSED_EBONHEART = "Emperor_Deposed_Ebonheart",
    EMPEROR_DEPOSED_DAGGERFALL = "Emperor_Deposed_Daggerfall",
    EMPEROR_ABDICATED = "Emperor_Abdicated",

    GUILD_KEEP_CLAIMED = "Guild_Keep_Claimed",
    GUILD_KEEP_RELEASED = "Guild_Keep_Released",
    GUILD_KEEP_LOST = "Guild_Keep_Lost",

    CAMPAIGN_READY_CHECK = "Campaign_Ready_Check",

    -- Broadcast sounds
    MESSAGE_BROADCAST               = "System_Broadcast",

    --Level sounds
    LEVEL_UP                        = "LevelUp",
    CHAMPION_POINTS_INCREASED       = "ChampionPointsIncreased",
    DUNGEON_DIFFICULTY_VETERAN      = "DungeonDifficultySetToVeteran",
    DUNGEON_DIFFICULTY_NORMAL       = "DungeonDifficultySetToNormal",
    RANK_UP                         = "RankUp",
    SKYSHARD_GAINED                 = "Skyshard_Gained",
    SKILL_POINT_GAINED              = "Skill_Gained",
    SKILL_LINE_ADDED                = "SkillLine_Added",
    SKILL_LINE_LEVELED_UP           = "SkillLine_Leveled",
    ENLIGHTENED_STATE_GAINED        = "EnlightenedState_Gained",
    ENLIGHTENED_STATE_LOST          = "EnlightenedState_Lost",
    COMPANION_ACTIVE_SKILL_UNLOCKED = "CompanionActiveSkillUnlocked",

    -- Experience/Champion Point sounds
    OVERLAND_BOSS_KILL              = "Overland_Boss_Kill",
    SCRIPTED_EVENT_COMPLETION       = "ScriptedEvent_Completion",

    -- Guild
    GUILD_RANK_CREATED              = "GuildRank_Created",
    GUILD_RANK_DELETED              = "GuildRank_Deleted",
    GUILD_RANK_SELECTED             = "GuildRank_Selected",
    GUILD_RANK_REORDERED            = "GuildRank_Reordered",
    GUILD_RANK_LOGO_SELECTED        = "GuildRankLogo_Selected",
    GUILD_RANK_PERMISSION_TOGGLE    = "GuildRank_PermissionToggle",
    GUILD_RANK_SAVED                = "GuildRank_Saved",
    GUILD_ROSTER_ADDED              = "GuildRoster_Added",
    GUILD_ROSTER_REMOVED            = "GuildRoster_Removed",
    GUILD_SELF_JOINED               = "Guild_Self_Joined",
    GUILD_SELF_LEFT                 = "Guild_Self_Left",
    GUILD_ROSTER_DEMOTE             = "GuildRoster_Demote",
    GUILD_ROSTER_PROMOTE            = "GuildRoster_Promote",

    --Ability slotting sounds
    ABILITY_SLOT_MENU_OPEN              = "Ability_Slot_Menu_Open",
    ABILITY_SLOTTED                     = "Ability_Slotted",
    ABILITY_SLOT_CLEARED                = "Ability_Unslotted",
    ABILITY_MORPH_AVAILABLE             = "Ability_MorphAvailable",
    ABILITY_RANK_UP                     = "Ability_RankedUp",
    ABILITY_PICKED_UP                   = "Ability_Picked_Up",
    ABILITY_ULTIMATE_READY              = "Ability_Ultimate_Ready_Sound",
    ABILITY_COMPANION_ULTIMATE_READY    = "Ability_Companion_Ultimate_Ready_Sound",
    ABILITY_SYNERGY_READY               = "Ability_Synergy_Ready_Sound",

    --Skill point allocation
    SKILL_PURCHASED                     = "Ability_SkillPurchased",
    SKILL_RESPEC_PURCHASED              = "Ability_Respec_SkillPurchased",
    SKILL_SOLD                          = "Ability_SkillSold",
    ACTIVE_SKILL_MORPH_CHOSEN           = "Ability_MorphPurchased",
    ACTIVE_SKILL_RESPEC_MORPH_CHOSEN    = "Ability_Respec_MorphPurchased",
    ACTIVE_SKILL_UNMORPHED              = "Ability_MorphSold",
    PASSIVE_SKILL_RANK_INCREASED        = "Ability_UpgradePurchased",
    PASSIVE_SKILL_RESPEC_RANK_INCREASED = "Ability_Respec_UpgradePurchased",
    PASSIVE_SKILL_RANK_DECREASED        = "Ability_UpgradeSold",

    --Map sounds
    MAP_PING                        = "Map_Ping",
    MAP_PING_REMOVE                 = "Map_Ping_Remove",
    MAP_ZOOM_IN                     = "Map_Zoom_In",
    MAP_ZOOM_OUT                    = "Map_Zoom_Out",
    MAP_ZOOM_LEVEL_CLICKED          = "Map_Zoom_Level_Clicked",
    MAP_LOCATION_CLICKED            = "Map_Location_Clicked",
    MAP_AUTO_NAVIGATION_MAP_CHANGE  = "Map_Auto_Navigation_Map_Change",
    MAP_AUTO_NAVIGATION_BEGIN_ZOOM  = "Map_Auto_Navigation_Begin_Zoom",
    MAP_PIN_FADEIN                  = "Map_Pin_FadeIn",
    GAMEPAD_MAP_START_MAP_CHANGE    = "Console_Map_Start_Map_Change",
    GAMEPAD_MAP_COMPLETE_MAP_CHANGE = "Console_Map_Complete_Map_Change",

    --Lore Library sounds
    BOOK_ACQUIRED                   = "Book_Acquired",
    BOOK_COLLECTION_COMPLETED       = "Book_Collection_Completed",
    BOOK_PAGE_TURN                  = "Book_PageTurn",
    BOOK_OPEN                       = "Book_Open",
    BOOK_CLOSE                      = "Book_Close",
    LORE_NOTE_PAGE_TURN             = "Lore_Note_PageTurn",
    LORE_NOTE_OPEN                  = "Lore_Note_Open",
    LORE_NOTE_CLOSE                 = "Lore_Note_Close",
    TABLET_PAGE_TURN                = "Tablet_PageTurn",
    TABLET_OPEN                     = "Tablet_Open",
    TABLET_CLOSE                    = "Tablet_Close",
    BOOK_METAL_PAGE_TURN            = "Book_Metal_PageTurn",
    BOOK_METAL_OPEN                 = "Book_Metal_Open",
    BOOK_METAL_CLOSE                = "Book_Metal_Close",

    --Active combat tip sounds
    ACTIVE_COMBAT_TIP_SHOWN         = "ActiveCombatTip_Shown",
    ACTIVE_COMBAT_TIP_FAILS         = "ActiveCombatTip_Failed",
    ACTIVE_COMBAT_TIP_SUCCESS       = "ActiveCombatTip_Success",
    FINESSE_FINISH_RANK_ONE         = "Finesse_Rank_One_Ender",
    FINESSE_FINISH_RANK_TWO         = "Finesse_Rank_Two_Ender",
    FINESSE_FINISH_RANK_THREE       = "Finesse_Rank_Three_Ender",
    FINESSE_FINISH_RANK_FOUR        = "Finesse_Rank_Four_Ender",

    --Tutorial sounds
    TUTORIAL_SHOWN                  = "Tutorial_Window_Show",
    TUTORIAL_INFO_SHOWN             = "Tutorial_Info_Show",

    --Lock/lockpick sounds
    LOCKPICKING_SUCCESS_CELEBRATION = "Lockpicking_success",
    LOCKPICKING_UNLOCKED            = "Lockpicking_unlocked",
    LOCKPICKING_FAILED              = "Lockpicking_failed",
    LOCKPICKING_BREAK               = "Lockpicking_lockpick_broke",
    LOCKPICKING_CONTACT             = "Lockpicking_lockpick_contact",
    LOCKPICKING_CHAMBER_STRESS      = "Lockpicking_chamber_stress",
    LOCKPICKING_CHAMBER_START       = "Lockpicking_chamber_start",
    LOCKPICKING_CHAMBER_LOCKED      = "Lockpicking_chamber_locked",
    LOCKPICKING_CHAMBER_RESET       = "Lockpicking_chamber_reset",
    LOCKPICKING_FORCE               = "Lockpicking_force",
    LOCKPICKING_START               = "Lockpicking_start",
    LOCKPICKING_NO_LOCKPICKS        = "No_lockpicks_or_impossible",

    --Volume Config Sounds
    VOLUME_DING_ALL                 = "Volume_Ding_All_Sound",
    VOLUME_DING_MUSIC               = "Volume_Ding_Music",
    VOLUME_DING_SFX                 = "Volume_Ding_SFX",
    VOLUME_DING_AMBIENT             = "Volume_Ding_Ambient",
    VOLUME_DING_UI                  = "Volume_Ding_UI",
    VOLUME_DING_VIDEO               = "Volume_Ding_Video",
    VOLUME_DING_VO                  = "Volume_Ding_VO",
    VOLUME_DING_FOOTSTEPS           = "Volume_Ding_Footsteps",

    --General Settings Sounds
    SINGLE_SETTING_RESET_TO_DEFAULT = "Single_Setting_Reset",

    --Radial Menu Sounds
    RADIAL_MENU_OPEN                = "Radial_Menu_Open",
    RADIAL_MENU_CLOSE               = "Radial_Menu_Close",
    RADIAL_MENU_MOUSEOVER           = "Radial_Menu_Mouseover",
    RADIAL_MENU_SELECTION           = "Radial_Menu_Selection",

    --Horizontal Scroll List Sounds
    HOR_LIST_ITEM_SELECTED          = "Horizontal_List_Item_Selected",

    --Quickslot Sounds
    QUICKSLOT_OPEN                  = "Quickslot_Open",
    QUICKSLOT_CLOSE                 = "Quickslot_Close",
    QUICKSLOT_SET                   = "Quickslot_Set",
    QUICKSLOT_CLEAR                 = "Quickslot_Clear",
    QUICKSLOT_MOUSEOVER             = "Quickslot_Mouseover",
    QUICKSLOT_USE_EMPTY             = "Quickslot_Use_Empty",

    --Skill XP Sounds
    SKILL_XP_DARK_ANCHOR_CLOSED     = "SkillXP_DarkAnchorClosed",
    SKILL_XP_DARK_FISSURE_CLOSED    = "SkillXP_DarkFissureClosed",
    SKILL_XP_BOSS_KILLED            = "SkillXP_BossKilled",

    --Skills Advisor Sounds
    SKILLS_ADVISOR_SELECT           = "SkillsAdvisor_Select",

    --Stats Sounds
    STATS_PURCHASE                  = "Stats_Purchase",
    GAMEPAD_STATS_SINGLE_PURCHASE   = "Console_Stats_Single_Purchase",

    --Player Action Result Sounds
    PLAYER_ACTION_INSUFFICIENT_GOLD = "PlayerAction_NotEnoughMoney",

    -- Trade Sounds
    TRADE_INVITE_RECEIVED           = "Trade_InviteReceived",
    TRADE_PARTICIPANT_READY         = "Trade_ParticipantReady",
    TRADE_PARTICIPANT_RECONSIDER    = "Trade_ParticipantReconsider",

    -- Friend Sounds
    FRIEND_INVITE_RECEIVED          = "Friend_InviteReceived",

    -- Rings Of Mara Sounds
    MARA_INVITE_RECEIVED            = "Mara_InviteReceived",

    --Unit Attribute Visuals
    UAV_INCREASED_POWER_ADDED               = "Increased_Power_Effect_Added",
    UAV_INCREASED_POWER_LOST                = "Increased_Power_Effect_Lost",

    UAV_INCREASED_POWER_ADDED_TARGET        = "Increased_Power_Effect_Added_Target",
    UAV_INCREASED_POWER_LOST_TARGET         = "Increased_Power_Effect_Lost_Target",

    UAV_DECREASED_POWER_ADDED               = "Decreased_Power_Effect_Added",
    UAV_DECREASED_POWER_LOST                = "Decreased_Power_Effect_Lost",

    UAV_DECREASED_POWER_ADDED_TARGET        = "Decreased_Power_Effect_Added_Target",
    UAV_DECREASED_POWER_LOST_TARGET         = "Decreased_Power_Effect_Lost_Target",

    UAV_INCREASED_ARMOR_ADDED               = "Increased_Armor_Effect_Added",
    UAV_INCREASED_ARMOR_LOST                = "Increased_Armor_Effect_Lost",

    UAV_INCREASED_ARMOR_ADDED_TARGET        = "Increased_Armor_Effect_Added_Target",
    UAV_INCREASED_ARMOR_LOST_TARGET         = "Increased_Armor_Effect_Lost_Target",

    UAV_DECREASED_ARMOR_ADDED               = "Decreased_Armor_Effect_Added",
    UAV_DECREASED_ARMOR_LOST                = "Decreased_Armor_Effect_Lost",

    UAV_DECREASED_ARMOR_ADDED_TARGET        = "Decreased_Armor_Effect_Added_Target",
    UAV_DECREASED_ARMOR_LOST_TARGET         = "Decreased_Armor_Effect_Lost_Target",


    UAV_INCREASED_HEALTH_REGEN_ADDED        = "Increased_Health_Regen_Effect_Added",
    UAV_INCREASED_HEALTH_REGEN_LOST         = "Increased_Health_Regen_Effect_Lost",

    UAV_INCREASED_HEALTH_REGEN_ADDED_TARGET = "Increased_Health_Regen_Effect_Added_Target",
    UAV_INCREASED_HEALTH_REGEN_LOST_TARGET  = "Increased_Health_Regen_Effect_Lost_Target",

    UAV_DECREASED_HEALTH_REGEN_ADDED        = "Decreased_Health_Regen_Effect_Added",
    UAV_DECREASED_HEALTH_REGEN_LOST         = "Decreased_Health_Regen_Effect_Lost",

    UAV_DECREASED_HEALTH_REGEN_ADDED_TARGET = "Decreased_Health_Regen_Effect_Added_Target",
    UAV_DECREASED_HEALTH_REGEN_LOST_TARGET  = "Decreased_Health_Regen_Effect_Lost_Target",

    UAV_INCREASED_MAGICKA_REGEN_ADDED       = "Increased_Magicka_Regen_Effect_Added",
    UAV_INCREASED_MAGICKA_REGEN_LOST        = "Increased_Magicka_Regen_Effect_Lost",

    UAV_INCREASED_MAGICKA_REGEN_ADDED_TARGET    = "Increased_Magicka_Regen_Effect_Added_Target",
    UAV_INCREASED_MAGICKA_REGEN_LOST_TARGET     = "Increased_Magicka_Regen_Effect_Lost_Target",

    UAV_DECREASED_MAGICKA_REGEN_ADDED       = "Decreased_Magicka_Regen_Effect_Added",
    UAV_DECREASED_MAGICKA_REGEN_LOST        = "Decreased_Magicka_Regen_Effect_Lost",

    UAV_DECREASED_MAGICKA_REGEN_ADDED_TARGET    = "Decreased_Magicka_Regen_Effect_Added_Target",
    UAV_DECREASED_MAGICKA_REGEN_LOST_TARGET     = "Decreased_Magicka_Regen_Effect_Lost_Target",

    UAV_INCREASED_STAMINA_REGEN_ADDED       = "Increased_Stamina_Regen_Effect_Added",
    UAV_INCREASED_STAMINA_REGEN_LOST        = "Increased_Stamina_Regen_Effect_Lost",

    UAV_INCREASED_STAMINA_REGEN_ADDED_TARGET    = "Increased_Stamina_Regen_Effect_Added_Target",
    UAV_INCREASED_STAMINA_REGEN_LOST_TARGET     = "Increased_Stamina_Regen_Effect_Lost_Target",

    UAV_DECREASED_STAMINA_REGEN_ADDED       = "Decreased_Stamina_Regen_Effect_Added",
    UAV_DECREASED_STAMINA_REGEN_LOST        = "Decreased_Stamina_Regen_Effect_Lost",

    UAV_DECREASED_STAMINA_REGEN_ADDED_TARGET    = "Decreased_Stamina_Regen_Effect_Added_Target",
    UAV_DECREASED_STAMINA_REGEN_LOST_TARGET     = "Decreased_Stamina_Regen_Effect_Lost_Target",


    UAV_MAX_HEALTH_INCREASED                = "Max_Health_Increased",
    UAV_MAX_HEALTH_NORMAL                   = "Max_Health_Normal",
    UAV_MAX_HEALTH_DECREASED                = "Max_Health_Decreased",

    UAV_MAX_HEALTH_INCREASED_TARGET         = "Max_Health_Increased_Target",
    UAV_MAX_HEALTH_NORMAL_TARGET            = "Max_Health_Normal_Target",
    UAV_MAX_HEALTH_DECREASED_TARGET         = "Max_Health_Decreased_Target",

    UAV_MAX_MAGICKA_INCREASED               = "Max_Magicka_Increased",
    UAV_MAX_MAGICKA_NORMAL                  = "Max_Magicka_Normal",
    UAV_MAX_MAGICKA_DECREASED               = "Max_Magicka_Decreased",

    UAV_MAX_MAGICKA_INCREASED_TARGET        = "Max_Magicka_Increased_Target",
    UAV_MAX_MAGICKA_NORMAL_TARGET           = "Max_Magicka_Normal_Target",
    UAV_MAX_MAGICKA_DECREASED_TARGET        = "Max_Magicka_Decreased_Target",

    UAV_MAX_STAMINA_INCREASED               = "Max_Stamina_Increased",
    UAV_MAX_STAMINA_NORMAL                  = "Max_Stamina_Normal",
    UAV_MAX_STAMINA_DECREASED               = "Max_Stamina_Decreased",

    UAV_MAX_STAMINA_INCREASED_TARGET        = "Max_Stamina_Increased_Target",
    UAV_MAX_STAMINA_NORMAL_TARGET           = "Max_Stamina_Normal_Target",
    UAV_MAX_STAMINA_DECREASED_TARGET        = "Max_Stamina_Decreased_Target",


    UAV_IMMUNITY_ADDED                      = "Immunity_Effect_Added",
    UAV_IMMUNITY_LOST                       = "Immunity_Effect_Lost",

    UAV_IMMUNITY_ADDED_TARGET               = "Immunity_Effect_Added_Target",
    UAV_IMMUNITY_LOST_TARGET                = "Immunity_Effect_Lost_Target",

    UAV_DAMAGE_SHIELD_ADDED                 = "Damage_Shield_Effect_Added",
    UAV_DAMAGE_SHIELD_LOST                  = "Damage_Shield_Effect_Lost",

    UAV_DAMAGE_SHIELD_ADDED_TARGET          = "Damage_Shield_Effect_Added_Target",
    UAV_DAMAGE_SHIELD_LOST_TARGET           = "Damage_Shield_Effect_Lost_Target",

    UAV_POSSESSION_APPLIED                  = "Possession_Effect_Applied",
    UAV_POSSESSION_REMOVED                  = "Possession_Effect_Removed",

    UAV_POSSESSION_APPLIED_TARGET           = "Possession_Effect_Applied_Target",
    UAV_POSSESSION_REMOVED_TARGET           = "Possession_Effect_Removed_Target",

    UAV_TRAUMA_ADDED                        = "Trauma_Effect_Added",
    UAV_TRAUMA_LOST                         = "Trauma_Effect_Lost",

    UAV_TRAUMA_ADDED_TARGET                 = "Trauma_Effect_Added_Target",
    UAV_TRAUMA_LOST_TARGET                  = "Trauma_Effect_Lost_Target",

    -- Provisioning
    PROVISIONING_OPENED                     = "Provisioning_Opened",
    PROVISIONING_CLOSED                     = "Provisioning_Closed",

    PROVISIONING_FILLET                     = "Provisioning_Fillet",

    RECIPE_LEARNED                          = "Recipe_Learned",
    DEFAULT_RECIPE_CRAFTED                  = "Default_Recipe_Crafted",

    -- Enchanting
    ENCHANTING_OPENED                       = "Enchanting_Opened",
    ENCHANTING_CLOSED                       = "Enchanting_Closed",

    ENCHANTING_POTENCY_RUNE_PLACED          = "Enchanting_PotencyRune_Placed",
    ENCHANTING_POTENCY_RUNE_REMOVED         = "Enchanting_PotencyRune_Removed",
    ENCHANTING_ASPECT_RUNE_PLACED           = "Enchanting_AspectRune_Placed",
    ENCHANTING_ASPECT_RUNE_REMOVED          = "Enchanting_AspectRune_Removed",
    ENCHANTING_ESSENCE_RUNE_PLACED          = "Enchanting_EssenceRune_Placed",
    ENCHANTING_ESSENCE_RUNE_REMOVED         = "Enchanting_EssenceRune_Removed",

    ENCHANTING_ARMOR_GLYPH_PLACED           = "Enchanting_ArmorGlyph_Placed",
    ENCHANTING_ARMOR_GLYPH_REMOVED          = "Enchanting_ArmorGlyph_Removed",
    ENCHANTING_WEAPON_GLYPH_PLACED          = "Enchanting_WeaponGlyph_Placed",
    ENCHANTING_WEAPON_GLYPH_REMOVED         = "Enchanting_WeaponGlyph_Removed",
    ENCHANTING_JEWELRY_GLYPH_PLACED         = "Enchanting_JewelryGlyph_Placed",
    ENCHANTING_JEWELRY_GLYPH_REMOVED        = "Enchanting_JewelryGlyph_Removed",
    ENCHANTING_GENERIC_GLYPH_REMOVED        = "Enchanting_GenericGlyph_Removed",

    ENCHANTING_CREATE_TOOLTIP_GLOW          = "Enchanting_Create_Tooltip_Glow",
    ENCHANTING_EXTRACT_START_ANIM           = "Enchanting_Extract_Start_Anim",

    -- Alchemy
    ALCHEMY_OPENED                          = "Alchemy_Opened",
    ALCHEMY_CLOSED                          = "Alchemy_Closed",

    ALCHEMY_SOLVENT_PLACED                  = "Alchemy_Solvent_Placed",
    ALCHEMY_SOLVENT_REMOVED                 = "Alchemy_Solvent_Removed",

    ALCHEMY_REAGENT_PLACED                  = "Alchemy_Reagent_Placed",
    ALCHEMY_REAGENT_REMOVED                 = "Alchemy_Reagent_Removed",
    ALCHEMY_CREATE_TOOLTIP_GLOW_SUCCESS     = "Alchemy_Create_Tooltip_Glow_Success",
    ALCHEMY_CREATE_TOOLTIP_GLOW_FAIL        = "Alchemy_Create_Tooltip_Glow_Fail",

    GAMEPAD_ALCHEMY_BEGIN                   = "Console_Alchemy_Begin",

    -- Smithing
    SMITHING_OPENED                         = "Smithing_Opened",
    SMITHING_CLOSED                         = "Smithing_Closed",
    SMITHING_START_RESEARCH                 = "Smithing_Start_Research",
    SMITHING_FINISH_RESEARCH                = "Smithing_Finish_Research",

    SMITHING_ITEM_TO_IMPROVE_PLACED         = "Smithing_Item_To_Improve_Placed",
    SMITHING_ITEM_TO_IMPROVE_REMOVED        = "Smithing_Item_To_Improve_Removed",

    SMITHING_ITEM_TO_EXTRACT_PLACED         = "Smithing_Item_To_Extract_Placed",
    SMITHING_ITEM_TO_EXTRACT_REMOVED        = "Smithing_Item_To_Extract_Removed",

    CONSOLIDATED_SMITHING_SET_ADDED         = "Consolidated_Smithing_Set_Added",

    BLACKSMITH_CREATE_TOOLTIP_GLOW          = "Blacksmith_Create_Tooltip_Glow",
    WOODWORKER_CREATE_TOOLTIP_GLOW          = "Woodworker_Create_Tooltip_Glow",
    CLOTHIER_CREATE_TOOLTIP_GLOW            = "Clothier_Create_Tooltip_Glow",
    JEWELRYCRAFTER_CREATE_TOOLTIP_GLOW      = "JewelryCrafter_Create_Tooltip_Glow",

    BLACKSMITH_IMPROVE_TOOLTIP_GLOW_SUCCESS = "Blacksmith_Improve_Tooltip_Glow_Success",
    WOODWORKER_IMPROVE_TOOLTIP_GLOW_SUCCESS = "Woodworker_Improve_Tooltip_Glow_Success",
    CLOTHIER_IMPROVE_TOOLTIP_GLOW_SUCCESS   = "Clothier_Improve_Tooltip_Glow_Success",
    JEWELRYCRAFTER_IMPROVE_TOOLTIP_GLOW_SUCCESS = "JewelryCrafter_Improve_Tooltip_Glow_Success",

    BLACKSMITH_IMPROVE_TOOLTIP_GLOW_FAIL    = "Blacksmith_Improve_Tooltip_Glow_Fail",
    WOODWORKER_IMPROVE_TOOLTIP_GLOW_FAIL    = "Woodworker_Improve_Tooltip_Glow_Fail",
    CLOTHIER_IMPROVE_TOOLTIP_GLOW_FAIL      = "Clothier_Improve_Tooltip_Glow_Fail",
    JEWELRYCRAFTER_IMPROVE_TOOLTIP_GLOW_FAIL = "JewelryCrafter_Improve_Tooltip_Glow_Fail",

    BLACKSMITH_EXTRACTED_BOOSTER            = "Blacksmith_Extracted_Booster",
    WOODWORKER_EXTRACTED_BOOSTER            = "Woodworker_Extracted_Booster",
    CLOTHIER_EXTRACTED_BOOSTER              = "Clothier_Extracted_Booster",
    JEWELRYCRAFTER_EXTRACTED_BOOSTER        = "JewelryCrafter_Extracted_Booster",

    BLACKSMITH_FAILED_EXTRACTION            = "Blacksmith_Failed_Extraction",
    WOODWORKER_FAILED_EXTRACTION            = "Woodworker_Failed_Extraction",
    CLOTHIER_FAILED_EXTRACTION              = "Clothier_Failed_Extraction",
    JEWELRYCRAFTER_FAILED_EXTRACTION        = "JewelryCrafter_Failed_Extraction",

    BLACKSMITH_EXTRACT_START_ANIM           = "Blacksmith_Extract_Start_Anim",
    WOODWORKER_EXTRACT_START_ANIM           = "Woodworker_Extract_Start_Anim",
    CLOTHIER_EXTRACT_START_ANIM             = "Clothier_Extract_Start_Anim",
    JEWELRYCRAFTER_EXTRACT_START_ANIM       = "JewelryCrafter_Extract_Start_Anim",

    -- Crafting
    CRAFTING_GAINED_INSPIRATION             = "Crafting_Gained_Inspiration",
    CRAFTING_CREATE_SLOT_ANIMATED           = "Crafting_Create_Slot_Animated",

    -- Retraiting
    RETRAITING_ITEM_TO_RETRAIT_PLACED       = "Retraiting_Item_To_Retrait_Placed",
    RETRAITING_ITEM_TO_RETRAIT_REMOVED      = "Retraiting_Item_To_Retrait_Removed",

    RETRAITING_RETRAIT_TOOLTIP_GLOW_SUCCESS = "Retraiting_Retrait_Tooltip_Glow_Success",
    RETRAITING_START_RETRAIT                = "Retraiting_Start_Retrait",

    --Customer Service
    AGENT_CHAT_ACTIVE                       = "Agent_Chat_Active",

    --Raid
    RAID_LIFE_DISPLAY_SHOWN                 = "Raid_Life_Display_Shown",
    RAID_LIFE_DISPLAY_CHANGED               = "Raid_Life_Display_Changed",

    RAID_TRIAL_STARTED                      = "Raid_Trial_Started",
    RAID_TRIAL_COMPLETED                    = "Raid_Trial_Completed",
    RAID_TRIAL_FAILED                       = "Raid_Trial_Failed",
    RAID_TRIAL_NEW_BEST                     = "Raid_Trial_New_Best",
    RAID_TRIAL_SCORE_ADDED_VERY_LOW         = "Raid_Trial_Score_Added_Very_Low",
    RAID_TRIAL_SCORE_ADDED_LOW              = "Raid_Trial_Score_Added_Low",
    RAID_TRIAL_SCORE_ADDED_NORMAL           = "Raid_Trial_Score_Added_Normal",
    RAID_TRIAL_SCORE_ADDED_HIGH             = "Raid_Trial_Score_Added_High",
    RAID_TRIAL_SCORE_ADDED_VERY_HIGH        = "Raid_Trial_Score_Added_Very_High",
    RAID_TRIAL_COUNTER_UPDATE               = "Raid_Trial_Counter_Update",

    -- Dyeing
    DYEING_OPENED                           = "Dyeing_Opened",
    DYEING_CLOSED                           = "Dyeing_Closed",

    DYEING_TOOL_DYE_SELECTED                = "Dyeing_Tool_Dye_Selected",
    DYEING_TOOL_ERASE_SELECTED              = "Dyeing_Tool_Erase_Selected",
    DYEING_TOOL_FILL_SELECTED               = "Dyeing_Tool_Fill_Selected",
    DYEING_TOOL_SAMPLE_SELECTED             = "Dyeing_Tool_Sample_Selected",
    DYEING_TOOL_FILL_ALL_SELECTED           = "Dyeing_Tool_Fill_All_Selected",
    DYEING_TOOL_SET_FILL_SELECTED           = "Dyeing_Tool_Set_Fill_Selected",

    DYEING_TOOL_DYE_USED                    = "Dyeing_Tool_Dye_Used",
    DYEING_TOOL_ERASE_USED                  = "Dyeing_Tool_Erase_Used",
    DYEING_TOOL_FILL_USED                   = "Dyeing_Tool_Fill_Used",
    DYEING_TOOL_SAMPLE_USED                 = "Dyeing_Tool_Sample_Used",
    DYEING_TOOL_FILL_USED                   = "Dyeing_Tool_Fill_All_Used",
    DYEING_TOOL_SET_FILL_USED               = "Dyeing_Tool_Set_Fill_Used",

    DYEING_SWATCH_SELECTED                  = "Dyeing_Swatch_Selected",
    DYEING_SAVED_SET_SELECTED               = "Dyeing_Saved_Set_Selected",

    DYEING_APPLY_CHANGES                    = "Dyeing_Apply_Changes",
    DYEING_APPLY_CHANGES_FROM_DIALOGUE      = "Dyeing_Apply_Changes_From_Dialogue",
    DYEING_RANDOMIZE_DYES                   = "Dyeing_Randomize_Dyes",
    DYEING_UNDO_CHANGES                     = "Dyeing_Undo_Changes",

    DYEING_ACCEPT_BINDING                   = "Dyeing_Accept_Binding",

    -- Outfits
    OUTFIT_CHANGES_APPLIED                  = "Outfit_Changes_Applied",
    OUTFIT_GO_TO_STYLE                      = "Outfitting_GoToStyle",
    OUTFIT_REMOVE_STYLE                     = "Outfitting_RemoveStyle",
    OUTFIT_GAMEPAD_MENU_ENTER               = "Outfitting_Console_MenuEnter",
    OUTFIT_GAMEPAD_MENU_EXIT                = "Outfitting_Console_MenuExit",
    OUTFIT_GAMEPAD_UNDO_CHANGES             = "Outfitting_Console_UndoChanges",

    OUTFIT_EQUIPPED_HIDE                    = "Outfitting_ArmorAdd_Hide",
    OUTFIT_ARMOR_TYPE_LIGHT                 = "Outfitting_ArmorAdd_Light",
    OUTFIT_ARMOR_TYPE_MEDIUM                = "Outfitting_ArmorAdd_Medium",
    OUTFIT_ARMOR_TYPE_HEAVY                 = "Outfitting_ArmorAdd_Heavy",
    OUTFIT_ARMOR_TYPE_UNDAUNTED             = "Outfitting_ArmorAdd_Undaunted",
    OUTFIT_ARMOR_TYPE_CLOTHING              = "Outfitting_ArmorAdd_Clothing",
    OUTFIT_ARMOR_TYPE_SIGNATURE             = "Outfitting_ArmorAdd_Signature",

    OUTFIT_WEAPON_TYPE_AXE                  = "Outfitting_WeaponAdd_Axe",
    OUTFIT_WEAPON_TYPE_MACE                 = "Outfitting_WeaponAdd_Mace",
    OUTFIT_WEAPON_TYPE_SWORD                = "Outfitting_WeaponAdd_Sword",
    OUTFIT_WEAPON_TYPE_DAGGER               = "Outfitting_WeaponAdd_Dagger",
    OUTFIT_WEAPON_TYPE_BOW                  = "Outfitting_WeaponAdd_Bow",
    OUTFIT_WEAPON_TYPE_STAFF                = "Outfitting_WeaponAdd_Staff",
    OUTFIT_WEAPON_TYPE_SHIELD               = "Outfitting_WeaponAdd_Shield",
    OUTFIT_WEAPON_TYPE_RUNE                 = "Outfitting_WeaponAdd_Rune",

    --Keybind Disabled
    KEYBIND_BUTTON_DISABLED                 = "Keybind_Button_Disabled",

    -- Content Announcements
    DISPLAY_ANNOUNCEMENT                    = "Display_Announcement",

    --Countdown Sounds
    COUNTDOWN_WARNING                       = "Countdown_Warning",

    --Death Recap Sounds
    DEATH_RECAP_ATTACK_SHOWN                = "DeathRecap_AttackShown",
    DEATH_RECAP_KILLING_BLOW_SHOWN          = "DeathRecap_KillingBlowShown",

    -- Trading House Sounds
    TRADING_HOUSE_SEARCH_INITIATED          = "TradingHouse_StartSearch",

    -- Fence Sounds
    FENCE_ITEM_LAUNDERED                    = "Fence_Item_Laundered",

    -- Champion Sounds
    CHAMPION_WINDOW_OPENED                  = "Champion_Opened",
    CHAMPION_WINDOW_CLOSED                  = "Champion_Closed",
    CHAMPION_RESPEC_ACCEPT                  = "Champion_RespecAccept",
    CHAMPION_POINTS_COMMITTED               = "Champion_PointsCommitted",
    CHAMPION_STAR_MOUSEOVER                 = "Champion_StarMouseover",
    CHAMPION_STAR_UNLOCKED                  = "Champion_StarUnlocked",
    CHAMPION_STAR_LOCKED                    = "Champion_StarLocked",
    CHAMPION_ZOOM_IN                        = "Champion_ZoomIn",
    CHAMPION_ZOOM_OUT                       = "Champion_ZoomOut",
    CHAMPION_SPINNER_UP                     = "Champion_SpinnerUp",
    CHAMPION_SPINNER_DOWN                   = "Champion_SpinnerDown",
    CHAMPION_STAR_STAGE_UP                  = "Champion_StarStageUp",
    CHAMPION_STAR_STAGE_DOWN                = "Champion_StarStageDown",
    CHAMPION_POINT_GAINED                   = "Champion_PointGained",
    CHAMPION_SYSTEM_UNLOCKED                = "Champion_SystemUnlocked",
    CHAMPION_RESPEC_TOGGLED                 = "Champion_RespecToggled",
    CHAMPION_DAMAGE_TAKEN                   = "Champion_DamageTaken",
    CHAMPION_PENDING_POINTS_CLEARED         = "Champion_PendingPointsCleared",
    CHAMPION_CYCLED_TO_MAGE                 = "Champion_CycledToMage",
    CHAMPION_CYCLED_TO_WARRIOR              = "Champion_CycledToWarrior",
    CHAMPION_CYCLED_TO_THIEF                = "Champion_CycledToThief",
    CHAMPION_MAGE_MOUSEOVER                 = "Champion_MageMouseover",
    CHAMPION_WARRIOR_MOUSEOVER              = "Champion_WarriorMouseover",
    CHAMPION_THIEF_MOUSEOVER                = "Champion_ThiefMouseover",
    CHAMPION_STAR_PICKED_UP                 = "Champion_StarPickedUp",
    CHAMPION_STAR_SLOTTED                   = "Champion_StarSlotted",
    CHAMPION_STAR_SLOT_CLEARED              = "Champion_StarSlotCleared",

    -- Market Sounds
    MARKET_WINDOW_OPENED                = "Market_Opened",
    MARKET_WINDOW_CLOSED                = "Market_Closed",
    MARKET_PURCHASE_SELECTED            = "Market_PurchaseSelected",
    MARKET_PREVIEW_SELECTED             = "Market_PreviewSelected",
    MARKET_GIFT_SELECTED                = "Market_GiftSelected",
    MARKET_CROWNS_SPENT                 = "Market_CrownsSpent",
    MARKET_CROWN_GEMS_SPENT             = "Market_CrownGemsSpent",

    -- Gamepad Player Menu Sounds
    PLAYER_MENU_ENTRY_DISABLED          = "PlayerMenu_EntryDisabled",

    -- Voice Chat Sounds
    VOICE_CHAT_MENU_CHANNEL_JOINED              = "Voice_Chat_Menu_Channel_Joined",
    VOICE_CHAT_MENU_CHANNEL_LEFT                = "Voice_Chat_Menu_Channel_Left",
    VOICE_CHAT_MENU_CHANNEL_MADE_ACTIVE         = "Voice_Chat_Menu_Channel_Made_Active",
    VOICE_CHAT_ALERT_CHANNEL_MADE_ACTIVE        = "Voice_Chat_Alert_Channel_Made_Active",

    -- HUD Sounds
    HUD_ARMOR_BROKEN                        = "HUD_ArmorBroken",
    HUD_WEAPON_DEPLETED                     = "HUD_WeaponDepleted",

    -- Duel Sounds
    DUEL_INVITE_RECEIVED                        = "Duel_InviteReceived",
    DUEL_ACCEPTED                               = "Duel_Accepted",
    DUEL_START                                  = "Duel_Start",
    DUEL_WON                                    = "Duel_Won",
    DUEL_FORFEIT                                = "Duel_Forfeit",
    DUEL_BOUNDARY_WARNING                       = "Duel_Boundary_Warning",

    -- Crown Crates
    CROWN_CRATES_DEAL_PRIMARY               = "CrownCrates_Deal_Primary",
    CROWN_CRATES_DEAL_BONUS                 = "CrownCrates_Deal_Bonus",
    CROWN_CRATES_CARDS_LEAVE                = "CrownCrates_Cards_Leave",
    CROWN_CRATES_CARDS_REVEAL_ALL           = "CrownCrates_Cards_Reveal_All",
    CROWN_CRATES_GAIN_GEMS                  = "CrownCrates_Gain_Gems",
    CROWN_CRATES_PURCHASED_WITH_GEMS        = "CrownCrates_Purchased_With_Gems",
    CROWN_CRATES_MANIFEST_CHOSEN            = "CrownCrates_Manifest_Chosen",
    CROWN_CRATES_MANIFEST_SELECTED          = "CrownCrates_Manifest_Selected",
    CROWN_CRATES_MANIFEST_IN                = "CrownCrates_Manifest_In",
    CROWN_CRATES_MANIFEST_OUT               = "CrownCrates_Manifest_Out",
    CROWN_CRATES_CARD_SELECTED              = "CrownCrates_Card_Selected",
    CROWN_CRATES_CARD_FLIPPING              = "CrownCrates_Card_Flipping",
    CROWN_CRATES_SCENE_OPEN                 = "CrownCrates_Scene_Open",
    CROWN_CRATES_SCENE_CLOSED               = "CrownCrates_Scene_Closed",
    CROWN_CRATES_GEM_WOBBLE                 = "CrownCrates_GemmingWobble",
    CROWN_CRATES_GEM_ITEM                   = "CrownCrates_Gem_Item",

    --Housing
    HOUSING_EDITOR_OPEN                     = "Housing_MenuOpen",
    HOUSING_EDITOR_CLOSED                   = "Housing_MenuClosed",
    HOUSING_EDITOR_OPEN_BROWSER             = "Housing_OpenBrowser",
    HOUSING_EDITOR_CLOSE_BROWSER            = "Housing_CloseBrowser",
    HOUSING_EDITOR_PLACE_ITEM               = "Housing_PlaceItem",
    HOUSING_EDITOR_PICKUP_ITEM              = "Housing_PickupItem",
    HOUSING_EDITOR_RETRIEVE_ITEM            = "Housing_StoreItem",
    HOUSING_BUY_FOR_GOLD                    = "Housing_BuyForGold",

    -- ESO+ Trial
    ESO_PLUS_TRIAL_STARTED                  = "ESOPlus_TrialStarted",
    ESO_PLUS_TRIAL_ENDED                    = "ESOPlus_TrialEnded",

    -- CSA Countdown
    COUNTDOWN_TICK                          = "Countdown_Tick",

    --Level Up Reward
    LEVEL_UP_REWARD_FANFARE                 = "LevelUpReward_Fanfare",
    LEVEL_UP_REWARD_SECTION_APPEAR          = "LevelUpReward_SectionAppear",
    LEVEL_UP_REWARD_CLAIM_APPEAR            = "LevelUpReward_ClaimAppear",
    LEVEL_UP_REWARD_CLAIM                   = "LevelUpReward_Claim",

    --Daily Login Rewards
    DAILY_LOGIN_REWARDS_CLAIM_ANNOUNCEMENT  = "DailyLoginRewards_ClaimAnnouncement",
    DAILY_LOGIN_REWARDS_CLAIM_FANFARE       = "DailyLoginRewards_ClaimFanfare",
    DAILY_LOGIN_REWARDS_ACTION_CLAIM        = "DailyLoginRewards_ActionClaim",
    DAILY_LOGIN_REWARDS_MONTH_CHANGE        = "DailyLoginRewards_MonthChange",

    --Gifting
    GIFT_INVENTORY_VIEW_FANFARE_BLAST       = "GiftInventoryView_FanfareBlast",
    GIFT_INVENTORY_VIEW_FANFARE_SPARKS      = "GiftInventoryView_FanfareSparks",
    GIFT_INVENTORY_VIEW_FANFARE_STARBURST   = "GiftInventoryView_FanfareStarburst",
    GIFT_INVENTORY_ACTION_CLAIM             = "GiftInventory_ActionClaim",

    --Zone Stories
    ZONE_STORIES_TRACK_ACTIVITY             = "ZoneStories_TrackActivity",

    --Guild Finder
    GUILD_FINDER_SELECT_GUILD               = "GuildFinder_SelectGuild",
    GUILD_FINDER_BACK_FROM_SELECTED_GUILD   = "GuildFinder_BackFromSelectedGuild",
    GAMEPAD_GUILD_FINDER_TOGGLE_ACTIVITY    = "Gamepad_GuildFinder_ToggleActivity",
    GAMEPAD_GUILD_FINDER_TOGGLE_ROLE        = "Gamepad_GuildFinder_ToggleRole",

    --Daedric Artifacts
    DAEDRIC_ENERGY_BURST                    = "DaedricEnergy_Burst",
    DAEDRIC_ENERGY_LOW                      = "DaedricEnergy_Low",
    DAEDRIC_ARTIFACT_SPAWNED                = "DaedricArtifact_Spawned",
    DAEDRIC_ARTIFACT_REVEALED               = "DaedricArtifact_Revealed",
    DAEDRIC_ARTIFACT_DESPAWNED              = "DaedricArtifact_Despawned",

    --Code Redemption
    CODE_REDEMPTION_SUCCESS                 = "CodeRedemption_Success",

    --Scrying
    SCRYING_START_INTRO                     = "Antiquities_Scrying_Overlay_Intro",
    SCRYING_START_END_OF_GAME               = "Antiquities_Scrying_Overlay_Outro",
    SCRYING_CAPTURE_GOAL                    = "Antiquities_Scrying_Capture_Goal",
    SCRYING_CAPTURE_HEX_SMALL               = "Antiquities_Scrying_Capture_Hex_Small",
    SCRYING_CAPTURE_HEX_MEDIUM              = "Antiquities_Scrying_Capture_Hex_Medium",
    SCRYING_CAPTURE_HEX_LARGE               = "Antiquities_Scrying_Capture_Hex_Large",
    SCRYING_ACTIVATE_BOMB                   = "Antiquities_Scrying_Bomb_Activate",
    SCRYING_CO_OPT_HEX_SMALL                = "Antiquities_Scrying_CoOpt_Hex_Small",
    SCRYING_CO_OPT_HEX_MEDIUM               = "Antiquities_Scrying_CoOpt_Hex_Medium",
    SCRYING_CO_OPT_HEX_LARGE                = "Antiquities_Scrying_CoOpt_Hex_Large",
    SCRYING_ACTIVATE_LINE                   = "Antiquities_Scrying_Line_Activate",
    SCRYING_START_LINE                      = "Antiquities_Scrying_Line_Start",
    SCRYING_TARGET_HEX_WITH_BOMB            = "Antiquities_Scrying_Select_Hex_Bomb",
    SCRYING_TARGET_HEX_WITH_LINE            = "Antiquities_Scrying_Select_Hex_Line",
    SCRYING_TARGET_UNAFFECTED_HEX           = "Antiquities_Scrying_Select_Hex_Bad",
    SCRYING_TARGET_AFFECTED_HEX             = "Antiquities_Scrying_Select_Hex_Good",
    SCRYING_CHOOSE_SKILL                    = "Antiquities_Scrying_Skill_Select",
    SCRYING_PROGRESS_ADDED                  = "Antiquities_Scrying_Progress_Added",
    SCRYING_NO_PROGRESS_ADDED               = "Antiquities_Scrying_Progress_NotAdded",
    SCRYING_PROGRESS_GOAL_FADEIN            = "Antiquities_Scrying_Progress_Goal_FadeIn",
    SCRYING_PROGRESS_LAST_GOAL_FADEIN       = "Antiquities_Scrying_Progress_Last_Goal_FadeIn",

    --Digging
    ANTIQUITIES_DIGGING_DIG_POWER_REFUND = "Antiquities_Digging_Dig_Power_Refund",

    -- Antiquities Fanfare
    ANTIQUITIES_FANFARE_FRAGMENT_FOUND = "Antiquities_Digging_Fragment_Found",
    ANTIQUITIES_FANFARE_NEW_LEAD_FOUND = "Antiquities_Digging_New_Lead_Found",
    ANTIQUITIES_FANFARE_BONUS_ITEM_FOUND = "Antiquities_Digging_Bonus_Item_Found",
    ANTIQUITIES_FANFARE_MOTIF_SCROLL_APPEAR = "Antiquities_Digging_Motif_Scroll_Appear",
    ANTIQUITIES_FANFARE_FRAGMENT_PROGRESSION = "Antiquities_Digging_Fragment_Progression",
    ANTIQUITIES_FANFARE_FRAGMENT_RUNDOWN_ICONS = "Antiquities_Digging_Fragment_Rundown_Icons",
    ANTIQUITIES_FANFARE_FRAGMENT_DISCOVERED = "Antiquities_Digging_Fragment_Discovered",
    ANTIQUITIES_FANFARE_FRAGMENT_DISCOVERED_FINAL = "Antiquities_Digging_Fragments_Found_All",
    ANTIQUITIES_FANFARE_COMPLETED = "Antiquities_Digging_Antiquity_Completed",
    ANTIQUITIES_FANFARE_FAILURE = "Antiquities_Digging_Failure",

    -- Set Collections
    ITEM_SET_EXPANDED = "ItemSet_Expanded",
    ITEM_SET_COLLAPSED = "ItemSet_Collapsed",

    -- Endeavors
    ENDEAVOR_COMPLETED = "Endeavor_Complete",

    -- Armory
    ARMORY_OPEN = "Armory_Open",
    ARMORY_RESTORE_SUCCESS = "Armory_EquipBuild_Success",
    ARMORY_SAVE_SUCCESS = "Armory_SaveBuild_Success",
    ARMORY_BUILD_SLOT_EXPANDED = "Armory_Expanded",
    ARMORY_BUILD_SLOT_COLLAPSED = "Armory_Collapsed",

    -- Deconstruction Assistant
    UNIVERSAL_DECONSTRUCTION_SUCCESS = "Universal_Deconstruction_Success",
    UNIVERSAL_DECONSTRUCTION_FAIL = "Universal_Deconstruction_Fail",

    -- Tribute
    TRIBUTE_TURN_START = "Tribute_TurnStart",
    TRIBUTE_TURN_START_OPPONENT_PENULTIMATE_FAVOR = "Tribute_TurnStart_OpponentPenultimateFavor",
    TRIBUTE_RANK_CHANGE = "Tribute_RankChange",
    TRIBUTE_SUMMARY_BEGIN_VICTORY = "Tribute_Summary_Begin_Victory",
    TRIBUTE_SUMMARY_BEGIN_DEFEAT = "Tribute_Summary_Begin_Defeat",
    TRIBUTE_SUMMARY_PROGRESS_BAR_INCREASE = "Tribute_Summary_ProgressBarIncrease",
    TRIBUTE_SUMMARY_PROGRESS_BAR_DECREASE = "Tribute_Summary_ProgressBarDecrease",
    TRIBUTE_SUMMARY_PLACEMENT_MATCH_SEGMENT_FILL_VICTORY = "Tribute_Summary_PlacementMatchSegmentFill_Victory",
    TRIBUTE_SUMMARY_PLACEMENT_MATCH_SEGMENT_FILL_DEFEAT = "Tribute_Summary_PlacementMatchSegmentFill_Defeat",
    TRIBUTE_SUMMARY_RANK_CHANGE = "Tribute_Summary_RankChange",
    TRIBUTE_SUMMARY_RANK_CHANGE_LEADERBOARD = "Tribute_Summary_RankChange_Leaderboard",
    TRIBUTE_AGENT_DAMAGED = "Tribute_AgentDamaged",
    TRIBUTE_AGENT_HEALED = "Tribute_AgentHealed",
    TRIBUTE_AGENT_KNOCKED_OUT = "Tribute_AgentKnockedOut",
    TRIBUTE_COMBO_TRIGGERED = "Tribute_ComboTriggered",
    TRIBUTE_TRIGGER_TRIGGERED = "Tribute_TriggerTriggered",
    TRIBUTE_PATRON_PASSIVE_TRIGGERED = "Tribute_PatronPassiveTriggered",
    TRIBUTE_PATRON_DRAFTED = "Tribute_PatronDrafted",
    TRIBUTE_MECHANIC_CHOSEN = "Tribute_MechanicChosen",
    TRIBUTE_CARD_HIGHLIGHTED = "Tribute_CardHighlighted",
    TRIBUTE_CARD_TARGETED = "Tribute_CardTargeted",
    TRIBUTE_CARD_UNTARGETED = "Tribute_CardUntargeted",
    TRIBUTE_SHOW_TARGET_VIEWER = "Tribute_ShowTargetViewer",
    TRIBUTE_INVITE_RECEIVED = "Tribute_InviteReceived",
    TRIBUTE_TURN_START_OPPONENT_PRESTIGE_VICTORY_NEAR = "Tribute_TurnStart_OpponentPrestigeVictoryNear",

    -- Endless Dungeon
    ENDLESS_DUNGEON_ATTEMPTS_REMAINING_DECREMENT = "UI_U40_EA_ThreadOfFate_Severed",
    ENDLESS_DUNGEON_BUFF_ACQUIRE_AVATAR_VISION = "UI_U40_EA_AvatarVision_Acquired",
    ENDLESS_DUNGEON_BUFF_ACQUIRE_VERSE = "UI_U40_EA_Verse_Acquired",
    ENDLESS_DUNGEON_BUFF_ACQUIRE_VISION = "UI_U40_EA_Vision_Acquired",
    ENDLESS_DUNGEON_BUFF_MOUSE_ENTER = "UI_U40_EA_BuffSelect_Mouseover",
    ENDLESS_DUNGEON_BUFF_MOUSE_ENTER_AVATAR_VISION = "UI_U40_EA_BuffSelect_Avatar_Mouseover",
    ENDLESS_DUNGEON_BUFF_SELECT_AVATAR_VISION = "UI_U40_EA_AvatarVision_Selection",
    ENDLESS_DUNGEON_BUFF_SELECT_VERSE = "UI_U40_EA_Verse_Selection",
    ENDLESS_DUNGEON_BUFF_SELECT_VISION = "UI_U40_EA_Vision_Selection",
    ENDLESS_DUNGEON_BUFF_TRACKER_CLOSE = "UI_U40_EA_Tracker_Close",
    ENDLESS_DUNGEON_BUFF_TRACKER_OPEN = "UI_U40_EA_Tracker_Open",
    ENDLESS_DUNGEON_COUNTER_DOWN = "UI_U40_EA_CounterDown",
    ENDLESS_DUNGEON_COUNTER_UP = "UI_U40_EA_CounterUp",
    ENDLESS_DUNGEON_RUN_COMPLETE = "UI_U40_EA_RunComplete",
    ENDLESS_DUNGEON_SCORE_CALCULATE = "UI_U40_EA_Score_Calculate",
    ENDLESS_DUNGEON_SCORE_FINAL_FLIP = "UI_U40_EA_Score_FinalFlip",

    -- Group Finder
    GROUP_FINDER_REFRESH_SEARCH = "GroupFinder_RefreshSearch",
    GROUP_FINDER_APPLICATION_NOTIFICATION = "GroupFinder_ApplicationNotification",
    GROUP_FINDER_GROUP_LISTING_CREATE_EDIT = "GroupFinder_GroupListing_CreateEdit",

    -- Instances
    INSTANCE_SHUTDOWN = "Instance_Shutdown",
}
